<?php
include("cp_header.php");/**************************************************صفحة اضافة خطاب اعتماد مجلس الادارة********************************************************************/

//ضمان عدم الاضافة مرتين
if(!isset($RequestSignature)){
$RequestSignature = md5($_SERVER['REQUEST_URI'].$_SERVER['QUERY_STRING'].print_r($_POST, true));
}

/*  اسم الجدول وبداية الكويرى */  
$table="directors_credit_letter";
$extensionx='' ;
$filex='';
$file_name='';


?>


<div id="cp_cont">
<div id="show_user_details"></div>
	

<?php
///تجنب اضافة سجل فى حالة اعادة تحميل الصفحة

if (isset($_SESSION['LastRequest']) && $_SESSION['LastRequest'] == $RequestSignature)
{
unset($_SESSION['LastRequest']);
echo"<script type='text/javascript'>
window.location.href = '".$_SERVER['PHP_SELF']."';
</script> ";
exit();
}
else{
  $_SESSION['LastRequest'] = $RequestSignature;

}


//فى حالة سبمت الفورم
if (isset($_POST['submit']) && $_POST['token_sec']==$_SESSION['token']  &&  $_POST['submit']=="اضافة") {

//وضع الفورم فى متغيرات
$title=str_replace("'","\'",$_POST['title']);
$date=$_POST['date'];
$created=date('Y-m-d H:i:s');
$priority=0;

if(isset($_POST['priority'])){ $priority=1; }
//مسار رفع الصورة
$src='../img/'.$table.'/';	

		
//تمثيل الاستعلام فى شكل نص
$q="INSERT INTO `$table`
			( `title`, `date`, `files`,`created`,`user_created`,`priority`) 
			VALUES ('$title','$date','$file_name','$created',$priority)";
		//echo $q;	
			

//نحديد الرقم المتسلسل التالى
//تنفيذ الاستعلام
$result=mysqli_query($conn,"select max(`sort`)+1 as `sort_num` from $table");
$fetch =mysqli_fetch_array($result);
$sort_num=1;if(is_numeric($fetch['sort_num'])){$sort_num=$fetch['sort_num'];}


	
//استدعاء ملف رفع الملفات
include("upload_file.php");

	


//بداية الاستعلام
$query= mysqli_prepare(

			$conn,

			"INSERT INTO `$table`

			( `title`, `date`, `files`,`created`,`user_created`,`priority`,`sort`) 

			VALUES 

			( ?, ?, ?, ?, ?, ?, ?)");

		

			
//نهيئة المتغيرات وحمايتها من الحقن
mysqli_stmt_bind_param($query,'sssssii',
			
			 $title,$date,$file_name,$created,$_SESSION[$domain."_user"],$priority,$sort_num

			);

			
			
//تنفيذ الاستعلام وتخزين حالته
$execute_status=mysqli_stmt_execute($query);
			 
//فى حالة وجود اخطاء فى الاتصال بقاعدة البيانات
if(mysqli_error($conn)!=''){

				 $error_database_arr['err']=mysqli_error($conn);

				 $error_database_arr['err_num']= mysqli_errno($conn);

				 $error_database_arr['error_stmt']= mysqli_stmt_error($query);

			 }
	
//عدد السجلات التى تم تنفيذها
$affected_rows=mysqli_affected_rows($conn);

//فى حالة نجاح الاستعلام
if($execute_status==1){
	
	echo "<div class='true'>تم رفع الوصف</div>";
	

}else{
	err:	
	echo "<div class='false'>لم يتم رفع الوصف</div>";  
 
  
		
}
 
   
$_POST['submit']=="اضافة2";
}
error:


?>	
	
	
	
	
<div id="cp_title"> اضافة خطاب إعتماد مجلس الإدارة 
<a  href="view_<?php echo $table; ?>.php?search=" style='background:url(../img/table.png);float:left;margin:10px 0px 5px 20px;color:var(--white);width:20px;height:20px;'></a>	


</div>
<div id="cp_body">
<form id="app_form" enctype="multipart/form-data"  method="post" action="<?php echo $_SERVER['PHP_SELF']; ?>">
<div class="cp_word_body">
<div class="cp_login_row" style="float:right;;height:120px">
<div class="cp_title"><span style="color:red">*</span>العنوان</div>
<div class="cp_field">
<input alt="1" id="title" class="required " name="title" type="text" />
<div class="field_val "></div>	
</div>
</div>

<div class="cp_login_row" >
<div class="cp_title"><span style="color:red">*</span>التاريخ </div>
<div class="cp_field">
<input class="datepicker required" alt="1" autocomplete="off"  name="date" type="text" />
<div class="field_val "></div>	
</div>
</div>
	
<div class="cp_login_row">
<div class="cp_title"><span style="color:red">*</span> رفع الملف </div>
<div class="cp_fielda">
<div class="wrapper files"></div>	
<input num="1" class='browse required' alt="4"  name="attach" type="file" accept="application/pdf" />
<img loading='lazy' id="browse_img1" src="" style="float:left;width:80px;height:40px;border:solid 1px #888;margin-left:50%;background:url(../img/small_loading.gif) no-repeat center center #fff"/>
<div class="field_val no_margin "></div>
</div>
</div>


<div class="cp_login_row" >
<div class="cp_title">الاولوية</div>
<div class="cp_field">
<input style='width:30px;' alt="1" id="ajil" name="priority" type="checkbox"  />	
</div>
</div>


<div class="field_val"></div>
</div>
</div>
<div class="cp_login_row">

<div class="cp_submit"><input  class="wymupdate" id="submit"  name="submit" value="اضافة"  title="دخول" type="submit"></div>

</div>
</div>
<input type="hidden" name="token_sec"  value='<?php echo $_SESSION['token']; ?>'> </form>
</div>
	
	
<div style="display:none" id="code_generator"></div>
</div>


<?php 
//تحميل الفوتر
include("cp_footer.php");?>